JBoss Drools Business Rules Won’t build


I couldn’t find any updates to the Pom.xml in Chapter6 of the examples for the book JBoss Drools Business Rules, so I’ve updated it myself.

This current version works as of 3.1.2013

<?xml version="1.0" encoding="UTF-8"?>
<project
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

	<!-- <artifactId>chapter6</artifactId> <packaging>jar</packaging> <name>Drools-book-samples</name> -->

	<modelVersion>4.0.0</modelVersion>
	<groupId>ruleplayer</groupId>
	<artifactId>chapter6</artifactId>
	<packaging>jar</packaging>
	<version>1.0-SNAPSHOT</version>
	<name>Drools-book-samples</name>
	<url>http://maven.apache.org</url>

	<properties>
		<jboss.url>http://repository.jboss.org/nexus/content/groups/public/</jboss.url>
		<ibiblio.url>http://mirrors.ibiblio.org/maven2/</ibiblio.url>
		<drools.version>5.5.0.Final</drools.version>
		<commons.beanutils.version>1.8.0</commons.beanutils.version>
		<commons.collections.version>4.0-SNAPSHOT</commons.collections.version>
		<commons.lang.version>2.3</commons.lang.version>
		<commons.logging.version>1.1.1</commons.logging.version>
		<netbeans.hint.useExternalMaven>true</netbeans.hint.useExternalMaven>
	</properties>

	<repositories>
		<repository>
			<id>basedir</id>
			<url>file://${basedir}/../m2_repo</url>
		</repository>

		<!-- JBoss Repository -->
		<repository>
			<id>jboss</id>
			<url>{jboss.url}</url>
		</repository>

		<!-- For Fit -->
		<repository>
			<id>ibiblio</id>
			<url>${ibiblio.url}</url>
		</repository>
	</repositories>

	<dependencies>
		<!-- Dependencies For Rules -->
		<dependency>
			<groupId>org.drools</groupId>
			<artifactId>drools-core</artifactId>
			<version>${drools.version}</version>
		</dependency>
		<dependency>
			<groupId>org.drools</groupId>
			<artifactId>drools-compiler</artifactId>
			<version>${drools.version}</version>
		</dependency>

		<!-- <dependency> <groupId>org.drools</groupId> <artifactId>drools-decisiontables</artifactId> 
			<version>[5.0,)</version> </dependency> -->
		<dependency>
			<groupId>commons-beanutils</groupId>
			<artifactId>commons-beanutils</artifactId>
			<version>${commons.beanutils.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>${commons.collections.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<version>${commons.lang.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
			<version>${commons.logging.version}</version>
		</dependency>
		<dependency>
			<groupId>com.c2.fit</groupId>
			<artifactId>fit</artifactId>
			<version>1.1</version>
		</dependency>

		<!-- for testing -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.11</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-eclipse-plugin</artifactId>
				<version>2.9</version>
				<configuration>
					<additionalBuildcommands>
						<buildcommand>org.drools.eclipse.droolsbuilder</buildcommand>
					</additionalBuildcommands>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<version>2.4</version>
				<configuration>
					<archive>
						<manifest>
							<mainClass>${project.mainClass}</mainClass>
							<addClasspath>true</addClasspath>
						</manifest>
					</archive>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>exec-maven-plugin</artifactId>
				<version>1.0.2</version>
				<configuration>
					<executable>java</executable>
					<arguments>
						<argument>-Xms1024M</argument>
						<argument>-Xmx1024M</argument>
						<argument>-cp</argument>
						<classpath />
						<argument>${project.mainClass}</argument>
					</arguments>
				</configuration>
			</plugin>
			<!-- Tell Maven to use a least Java 5 -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.0</version>
			</plugin>
		</plugins>
	</build>
</project>
Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s